All Classes Namespaces Functions Variables Pages
CharmmCrdFile Class Reference

Reads and parses a CHARMM coordinate file (.crd) into its components, namely the coordinates, CHARMM atom types, resid, resname, etc. More...

Inheritance diagram for CharmmCrdFile:

## Public Member Functions

def | __init__

## Public Attributes

| atomno
| resno
| resname
| resid
| attype
| positions
| title
| segid
| weighting
| natom

## Detailed Description

Reads and parses a CHARMM coordinate file (.crd) into its components, namely the coordinates, CHARMM atom types, resid, resname, etc.

Main attributes:

- natom (int) : Number of atoms in the system
- resname (list) : Names of all residues
- positions (list) : All cartesian coordinates [x1, y1, z1, x2, ...]

Example:

> > > chm = CharmmCrdFile('testfiles/1tnm.crd') print 'd atoms; d coords' % (chm.natom, len(chm.positions))

1414 atoms; 1414 coords

## Constructor & Destructor Documentation

def __init__ | ( |  | self,
|  |  | fname
| ) |  |

## Member Data Documentation

atomno

attype

natom

positions

Referenced by Modeller.add(), Modeller.addExtraParticles(), Modeller.addHydrogens(), Modeller.addSolvent(), Modeller.convertWater(), Modeller.delete(), Modeller.getPositions(), AmberInpcrdFile.getPositions(), and DesmondDMSFile.getPositions().

resid

resname

resno

segid

title

weighting

The documentation for this class was generated from the following file:

- charmmcrdfiles.py